%global rbname nora
Summary: Nora - Web Application Library
Name: ruby-%{rbname}

%global momorel 1
%global reldate 20041008

Version: 0.0
Release: 0.%{reldate}.%{momorel}m
Group: Applications/Text
License: Ruby
URL: http://rwiki.moonwolf.com/rw-cgi.cgi?cmd=view;name=Nora 

%NoSource 0 http://www.moonwolf.com/ruby/archive/%{rbname}-%{version}.%{reldate}.tar.gz 79c2f7bca7a77e6a3bd809328bf6f199

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.2

%description
Web Application Library
* CGI/mod_ruby interface
* Persistent Framework
* multipart/form support
* Cookie support

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}-%{version}.%{reldate}

%build
ruby install.rb --quiet config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir}
ruby install.rb setup

find sample/ -type f \
    | xargs ruby -p -i -e '$_.sub!(%r|/usr/local/bin|, "%{_bindir}")'

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.ja sample
%{ruby_libdir}/web.rb
%{ruby_libdir}/web
%{ruby_archdir}/web

%changelog
* Fri Oct  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20041008.1m)
- version up

* Thu Sep 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20040916.1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20040310.3m)
- rebuild against ruby-1.8.2

* Sun Apr 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.0-0.20040310.2m)
- hello.cgi contains dependency to ruby1.7, sigh.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20040310.1m)

* Sun Feb 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20040222.1m)

* Wed Feb 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20040216.1m)

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.0-0.20021118.4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.0-0.20021118.3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.0-0.20021118.2m)
- rebuild against ruby-1.8.0.

* Sat Nov 30 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.0-0.20021118.1m)
- update
- ver/rel follow Specfile-Guidance

* Wed Oct  2 2002 Junichiro Kita <kita@momonga-linux.org>
- (20020929-1m)
- update to 20020929

* Sun Sep  8 2002 Junichiro Kita <kita@momonga-linux.org>
- (20020825-1m)
- initial build
